#include <SPI.h>
#include "nRF24L01.h"
#include "RF24.h"
#include <Servo.h> 
RF24 radio(9,10);

byte address[][6] = {"1Node","2Node","3Node","4Node","5Node","6Node"};

Servo motor_left;
Servo motor_right;
Servo rule;

int mot_pin_left = 3;    
int mot_pin_right = 5;
int js_position = 1500;  
int max_position = 2000;
int start = 1; 
int rulee = 0;

void setup(){
  Serial.begin(9600);
  radio.begin();
  radio.setAutoAck(1);
  radio.setRetries(0,15);
  radio.enableAckPayload();
  radio.setPayloadSize(32);

  radio.openReadingPipe(1,address[0]);    
  radio.setChannel(0x60); 

  radio.setPALevel (RF24_PA_MAX);
  radio.setDataRate (RF24_1MBPS);
  
  radio.powerUp();
  radio.startListening(); 
  motor_left.attach(mot_pin_left, js_position, max_position);   
  motor_right.attach(mot_pin_right, js_position, max_position);  
  rule.attach(11);
}

void loop() {
    byte pipeNo; 
    int gotX;
    int gotY;    
    while( radio.available(&pipeNo)){ 
      radio.read( &gotX, sizeof(gotX) );
      Serial.print("Recieved X: "); Serial.println(gotX);
      radio.read( &gotY, sizeof(gotY) ); 
      Serial.print("Recieved Y: "); Serial.println(gotY);
      
      if(start == 1) 
  {
    motor_left.write(js_position);
    motor_right.write(js_position);
    delay(700);
    start = 0;
  }
  
  js_position = gotX;
  rulee = gotY;
  rulee = map (rulee, 0, 1023, 45, 135);
  js_position = map(js_position, 500, 1024, 75, 140);
  motor_left.write(js_position);
  motor_right.write(js_position);
  rule.write(rulee);  
 Serial.println(js_position); 
      delay(100);     
   }
}
